static char doors_locked_intern();
static char door_locked_intern(char door);


char engine_speed() {
  // really not a very funny function. 
  return 127;
}

char doors_locked() {
  return doors_locked_intern();
}

static char doors_locked_intern(){
  return (door_locked_intern(1) &&
          door_locked_intern(2) &&
          door_locked_intern(3) &&
          door_locked_intern(4) );
}

static char door_locked_intern(char door){
  static char counter;
  if (counter++%100==0) { return 0 ; }
  return 1;
}

int existing_sneaky_little_function() {
  return 42;
}
